Personal dotfiles for Linux, mostly for Nixpkgs/NixOS-based and Termux setups. Mirrored using GitLab's push mirroring feature. gitlab.com/andreijiroh-dev/dotfiles
linux dotfiles
2
fork

Configure Feed

Select the types of activity you want to include in your feed.

Work on yadm compat chores

Also setup secret encryption with GPG for SSH keys and stuff

Signed-off-by: Andrei Jiroh Halili <ajhalili2006@andreijiroh.eu.org>

+33
+26
.config/yadm/bootstrap
··· 1 + #!/bin/bash 2 + 3 + # Save this file as ~/.config/yadm/bootstrap and make it executable. It will 4 + # execute all executable files (excluding templates and editor backups) in the 5 + # ~/.config/yadm/bootstrap.d directory when run. 6 + 7 + # Source: https://raw.githubusercontent.com/TheLocehiliosan/yadm/master/contrib/bootstrap/bootstrap-in-dir 8 + 9 + set -eu 10 + 11 + # Directory to look for bootstrap executables in 12 + BOOTSTRAP_D="${BASH_SOURCE[0]}.d" 13 + 14 + if [[ ! -d "$BOOTSTRAP_D" ]]; then 15 + echo "Error: bootstrap directory '$BOOTSTRAP_D' not found" >&2 16 + exit 1 17 + fi 18 + 19 + find -L "$BOOTSTRAP_D" -type f | sort | while IFS= read -r bootstrap; do 20 + if [[ -x "$bootstrap" && ! "$bootstrap" =~ "##" && ! "$bootstrap" =~ "~$" ]]; then 21 + if ! "$bootstrap"; then 22 + echo "Error: bootstrap '$bootstrap' failed" >&2 23 + exit 1 24 + fi 25 + fi 26 + done
+4
.config/yadm/bootstrap.d/00-post-clone-repo.sh
··· 1 + #!/usr/bin/env sh 2 + 3 + echo "Symlinking ~/.git to ~/.local/share/yadm/repo.git for compatibility" 4 + ln -s ~/.local/share/yadm/repo.git ~/.git
+3
.config/yadm/encrypt
··· 1 + .abuild/releases@andreijiroh.eu.org.rsa 2 + .abuild/releases@recaptime.eu.org.rsa 3 + .ssh/personal-2023
.local/share/yadm/archive

This is a binary file and will not be displayed.